unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, ExtCtrls, TeeProcs, Chart, Contnrs, StdCtrls;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TBarSeries;
    Series2: TBarSeries;
    Panel1: TPanel;
    chkShowCustomLegend: TCheckBox;
    procedure chkShowCustomLegendClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Panel1Click(Sender: TObject);
  private
    FAxisItems: TObjectList;
    procedure UpdateChart;
    { Private declarations }
  public
    { Public declarations }
    constructor Create(aO: TComponent); override;
    destructor Destroy; override;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  UpdateChart;
end;


constructor TForm1.Create(aO: TComponent);
begin
  inherited;
  FAxisItems := TObjectList.Create;
end;

destructor TForm1.Destroy;
begin
//  FAxisItems.Clear;
//  FAxisITems.Free;
  inherited;
end;

procedure TForm1.chkShowCustomLegendClick(Sender: TObject);
begin
  UpdateChart;
end;


procedure TForm1.Panel1Click(Sender: TObject);
begin
  UpdateChart;
end;

procedure TForm1.UpdateChart;
var
  lAxisItem: TAxisItem;
  lItems: TAxisItems;
begin
//  FAxisItems.Clear;

  Series1.FillSampleValues(20);
  Series2.FillSampleValues(20);

  lItems := Chart1.BottomAxis.Items;
  lItems.Clear;
  
  if chkShowCustomLegend.Checked then
  begin
    lAxisItem := Chart1.BottomAxis.Items.Add(3, TimeToStr(now));

    FAxisItems.Add(lAxisItem);

    lAxisItem.Font.Color := clRed;
    lAxisItem.Font.Style := [fsBold];
  end;
end;


end.
